Package org.zkoss.stateless.sul

## Interface IOrgchildren

- All Superinterfaces:
    `IChildable<IOrgchildren,​IOrgitem>`, `IComponent<IOrgchildren>`, `IHtmlBasedComponent<IOrgchildren>`, `IOrgitemComposite<IOrgchildren>`, `IXulElement<IOrgchildren>`

      public interface IOrgchildren
      extends IXulElement<IOrgchildren>, IOrgitemComposite<IOrgchildren>, IChildable<IOrgchildren,​IOrgitem>

  Immutable `Orgchildren` component

  Orgchildren contains a collection of Orgitem components. It is main body of the Organigram and it also the main body of an Orgitem's children.

  Author:
    katherine
  See Also:
    `Orgchildren`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IOrgchildren.Builder` | Builds instances of type `IOrgchildren`.
    `static class` | `IOrgchildren.Updater` | Builds an updater of type `IOrgchildren` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IOrgchildren` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getHflex()` | Return horizontal flex hint of this component.
    `default int` | `getItemCount()` |
    `default java.util.Collection<IOrgitem>` | `getItems()` |
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `default java.lang.String` | `getWidth()` | Returns the width of the component.
    `static IOrgchildren` | `of​(java.lang.Iterable<? extends IOrgitem> children)` | Returns the instance with the given `IOrgitem` children.
    `static IOrgchildren` | `of​(IOrgitem... children)` | Returns the instance with the given `IOrgitem` children.
    `static IOrgchildren` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `default IOrgchildren` | `withHflex​(java.lang.String hflex)` | To control the size of Organigram related components, please refer to `IOrganigram` and `IOrgitem` instead.
    `default IOrgchildren` | `withWidth​(java.lang.String width)` | To control the size of Organigram related components, please refer to `IOrganigram` and `IOrgitem` instead.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IOrgchildren DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkmax.layout.Orgchildren"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IOrgchildren>`
      Returns:

    - #### getWidth

          @Derived
          @Nullable
          default java.lang.String getWidth()

      Description copied from interface: `IHtmlBasedComponent`
      Returns the width of the component. If not specified, `null` is assumed.

      Default: `null`

      Specified by:
        `getWidth` in interface `IHtmlBasedComponent<IOrgchildren>`

    - #### withWidth

          default IOrgchildren withWidth​(@Nullable
                                         java.lang.String width)

      To control the size of Organigram related components, please refer to `IOrganigram` and `IOrgitem` instead.
      Specified by:
        `withWidth` in interface `IHtmlBasedComponent<IOrgchildren>`
      Parameters:
        `width` - The width of the component.

        Default: `null`

      Returns:
        A modified copy of the `this` object

    - #### getHflex

          @Derived
          @Nullable
          default java.lang.String getHflex()

      Description copied from interface: `IHtmlBasedComponent`
      Return horizontal flex hint of this component.

      Default: `null`

      Specified by:
        `getHflex` in interface `IHtmlBasedComponent<IOrgchildren>`

    - #### withHflex

          default IOrgchildren withHflex​(@Nullable
                                         java.lang.String hflex)

      To control the size of Organigram related components, please refer to `IOrganigram` and `IOrgitem` instead.
      Specified by:
        `withHflex` in interface `IHtmlBasedComponent<IOrgchildren>`
      Parameters:
        `hflex` - The horizontal flex hint.

        Default: `null`

      Returns:
        A modified copy of the `this` object

    - #### getItemCount

          @Lazy
          default int getItemCount()

    - #### getItems

          @Lazy
          default java.util.Collection<IOrgitem> getItems()

    - #### of

          static IOrgchildren of​(java.lang.Iterable<? extends IOrgitem> children)

      Returns the instance with the given `IOrgitem` children.
      Parameters:
        `children` - The children of `IOrgitem`

    - #### of

          static IOrgchildren of​(IOrgitem... children)

      Returns the instance with the given `IOrgitem` children.
      Parameters:
        `children` - The children of `IOrgitem`

    - #### ofId

          static IOrgchildren ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component